<template>
  <div style="padding: 20px; padding-top: 0" class="reporttablecardxm">
    <div
      style="position: absolute; padding-top: 10px; line-height: 32px"
      class="header_sd-header_common"
    >
      <div :class="$style.titlepoint"></div>
      <span :class="['toptitle', $style.toptitle]">项目信息列表</span>
    </div>
    <sd-data-table
      ref="dataTable"
      :columns="columns"
      :projectlist="true"
      :data-url="dataUrl"
      :actions="actions"
      :process-req="processReq"
      :process-res="processRes"
      :defultpagination-pagesize="50"
    />
  </div>
</template>

<script>
import { Message } from 'ant-design-vue'
import TableActionTypes from '@/common/services/table-action-types'
import download from '@/common/services/download'
import auditService from './iam-audit-dsc-service'
import components from './_import-components/spic-audit-dsc-unit-list-import'
const columns = [
  {
    title: '序号',

    customRender: (text, record, index) => {
      return { children: index + 1 }
    },
    width: '80px',
  },
  {
    title: '审计机构',
    dataIndex: 'UNIT_NAME',
  },
  {
    title: '项目名称',
    dataIndex: 'PROJECT_TITLE',
  },
  {
    title: '项目编号',
    dataIndex: 'PROJECT_CODE',
  },
  {
    title: '审计类型',
    dataIndex: 'AUDIT_TYPE',
  },
  {
    title: '被审计单位',
    dataIndex: 'AUDITED_UNIT_NAMES',
  },
  {
    title: '项目负责人',
    dataIndex: 'PROJECT_PRINCIPAL_NAME',
  },
  {
    title: '项目组长',
    dataIndex: 'GROUP_LEADER_NAME',
  },
  {
    title: '项目成员',
    dataIndex: 'USER_NAME',
  },
  {
    title: '项目来源',
    dataIndex: 'isPlanIn',
  },
  {
    title: '项目状态',
    dataIndex: 'ITEM_STATUS',
  },
]

export default {
  name: 'SpicAuditDscUnitList',
  metaInfo: {
    title: '审计发现统计透视图',
  },
  components,
  data() {
    return {
      params: null,
      columns,
      data: [],
      actions: [
        {
          label: '导出',
          id: 'export',
          permission: null,
          type: TableActionTypes.primary,
          callback: () => {
            const params = JSON.parse(this.$route.query.params)
            if (this.$route.query.type === 'auditedunitlist') {
              auditService
                .exportUnitList(params)
                .then((data) => {
                  const url = URL.createObjectURL(data)
                  download(url, '审计项目列表导出.xls')
                })
                .catch(() => {
                  Message.error('导出失败')
                })
            }
            // else if (this.$route.query.type === 'fourauditedunitlist') {
            //   auditService
            //     .exportUnitList(params)
            //     .then((data) => {
            //       const url = URL.createObjectURL(data)
            //       download(url, '审计单位列表导出.xls')
            //     })
            //     .catch(() => {
            //       Message.error('导出失败')
            //     })
            // }
          },
        },
      ],
    }
  },
  computed: {
    dataUrl() {
      if (this.$route.query.type === 'auditedunitlist') {
        return 'api/xcoa-mobile/v1/spicDecisionSupportCenter/getAuditedUnitList'
      } else {
        return ''
      }
      // else if (this.$route.query.type === 'fourauditedunitlist') {
      //   return 'api/xcoa-mobile/v1/spicDecisionSupportCenter/getAuditedUnitList'
      // }
    },
  },
  methods: {
    processRes(res) {
      return res
    },
    processReq(req) {
      const params = JSON.parse(this.$route.query.params)
      req.data = {
        ...req.data,
        ...params,
      }
      if (req.data.pageIndex === undefined) {
        req.data.pageIndex = req.data.startPosition
      }

      if (req.data.pageSize === undefined) {
        req.data.pageSize = 10
      }
      return req
    },
  },
}
</script>

<style module lang="scss">
@use '@/common/design' as *;
.titlepoint {
  position: absolute;
  top: 12px;
  left: 20px;
  width: 8px;
  height: 27px;
  background: #1890ff;
  border-radius: 8px;
}
.toptitle {
  position: absolute;
  top: 9px;
  left: 40px;
  width: 200px;
  font-size: 22px;
  font-weight: bold;
  color: #404040;
}
</style>
